Subject: RE: troubles while building wxWindows/C++ Mingw executables usin
From: Vadim Zeitlin <[email-masked]>
To: Chris <[email-masked]>
Cc: cygwin <[email-masked]>, wxwin-developers <[email-masked]>
Date: Wed, 10 Mar 1999 14:17:36 +0100 (CET)

Hello,

On 10-Mar-99 Chris wrote:
> I'm also using wxWindows 2.0 and i've some troubles while linking some
> samples. For example, I want to run the "minimal" sample and I get some
> "undefined reference ":
...
> /wx/lib/libwx.a(textctrl.o): In function
> `wxTextCtrl::GLOBAL_$I$GetClassInfo(void) const':
> /wx/src/msw/textctrl.cpp:71: undefined reference to
> `streambuf::xsputn(char const *, long)'
> /wx/src/msw/textctrl.cpp:71: undefined reference to
> `streambuf::xsgetn(char *, long)'

 this might actually just mean that there are no such functions in
Cygwin's version of C++ iostream library (I do believe they're
standard - at least they're in the standard draft I have here).
  
> /wx/src/msw/textctrl.cpp:71: undefined reference to
> `streambuf::sys_read(char *, long)'
> /wx/src/msw/textctrl.cpp:71: undefined reference to
> `streambuf::sys_write(char const *, long)'

 The same here, except that these symbols don't seem to be standard.

 To work around these errors you might try to define NO_TEXT_WINDOW_STREAM
for wxWindows compilation.

> /usr/local/mingw-libs/libstdc++.a(iostream.o)(.text+0x18a9): undefined
> reference to `__imp__iob'
> /usr/local/mingw-libs/libstdc++.a(iostream.o)(.text+0x18b7): undefined
> reference to `__imp__iob'
> /usr/local/mingw-libs/libstdc++.a(streambuf.o)(.text+0x30c): undefined
> reference to `_errno'
> /usr/local/mingw-libs/libstdc++.a(stdstrbufs.o)(.text+0x2d): undefined
> reference to `__imp__iob'
> /usr/local/mingw-libs/libstdc++.a(fileops.o)(.text+0x173): undefined
> reference to `_errno'
> /usr/local/mingw-libs/libstdc++.a(fileops.o)(.text+0x1de): undefined
> reference to `_errno'
> /usr/local/mingw-libs/libstdc++.a(fileops.o)(.text+0x232): undefined
> reference to `_errno'
> /usr/local/mingw-libs/libstdc++.a(fileops.o)(.text+0x343): undefined
> reference to `_errno'
> /usr/local/mingw-libs/libstdc++.a(fileops.o)(.text+0x3f6): undefined
> reference to `_errno'
> /usr/local/mingw-libs/libstdc++.a(fileops.o)(.text+0x539): more
> undefined references to `_errno' follow
> /usr/local/mingw-libs/libstdc++.a(floatconv.o)(.text+0x12e7): undefined
> reference to `__imp__HUGE_dll'
> /usr/local/mingw-libs/libstdc++.a(floatconv.o)(.text+0x145a): undefined
> reference to `_errno'
> collect2: ld returned 1 exit status
> make: *** [minimal.exe] Error 1

 No idea about these. 

> So, my question is :
> Am I doing something wrong or should is it impossible to make
> cross-compilation with wxWindows tools ?

 There is no reason it shouldn't be possible. It would be interesting
to hear whether you succeed with it finally and what had you to change
to do it.

 Good luck!
VZ

--
Want to unsubscribe from this list?
Send a message to [email-masked]